{% extends 'bookings/booking/booking_detail.html' %}
{% load crispy_forms_filters %}
{% load i18n %}
{% load static %}

{% block javascript %}
    {{ block.super }}
    <script defer src="{% static 'bookings/occurrence_edit.js' %}"></script>
{% endblock javascript %}

{% block title %}{% translate "Édition de l'occurrence" %}{% endblock %}

{% block start_form %}
    <form action="{% url 'bookings:occurrence-edit' booking_pk=booking.pk pk=object.pk %}" method="post">
{% endblock start_form %}

{% block occurrence_form %}
    <div class="card-header">
        <div class="btn-group pull-end">
            <a href="{% url 'bookings:booking-details' pk=booking.pk %}"
               class="btn btn-sm btn-warning">
                <span class="fa-solid fa-xmark"></span> {% translate 'Annuler' %}
            </a>
            <button type="submit" class="btn btn-sm btn-success">
                <span class="fa-solid fa-floppy-disk"></span> {% translate 'Enregistrer' %}
            </button>
        </div>
        <h3 class="card-title"><span class="fa-solid fa-calendar"></span> {% translate 'Occurrences' %}
        </h3>
    </div>
    {% block occurrence_card_body %}
        <div class="card-body">
            {{ form.media }}
            {% csrf_token %}
            {{ form|crispy }}
            <div class="btn-group pull-end">
                <button type="submit" class="btn btn-success">
                    <span class="fa-solid fa-floppy-disk"></span> {% translate 'Enregistrer' %}
                </button>
                {% if perms.bookings.delete_bookingoccurrence %}
                    <a href="{% url 'bookings:occurrence-delete' booking_pk=booking.pk pk=object.pk %}" class="btn btn-danger">
                        <span class="fa-solid fa-trash-can"></span> Supprimer
                    </a>
                {% endif %}
            </div>
        </div>
    {% endblock %}
{% endblock %}